<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Namespace <a href="../Synopsis.html" >Synopsis</a>::PTree

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Namespaces Summary:</div>
<div class="item"><a href="PTree/Kwd.html" >Kwd</a> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class templates Summary:</div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<a href="Token.html#Type" >Token::Type</a> <span class="variable">t</span>&gt;</div> class <a href="PTree/KeywordT.html" >KeywordT</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mKeywordT" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line70" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> T&gt;</div> class <a href="PTree/StatementT.html" >StatementT</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mStatementT" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line263" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> T&gt;</div> class <a href="PTree/ExpressionT.html" >ExpressionT</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mExpressionT" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line362" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="PTree/Literal.html" >Literal</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mLiteral" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line18" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/CommentedAtom.html" >CommentedAtom</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mCommentedAtom" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DupAtom.html" >DupAtom</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mDupAtom" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line44" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Identifier.html" >Identifier</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mIdentifier" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line52" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Keyword.html" >Keyword</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mKeyword" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line60" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UserKeyword.html" >UserKeyword</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUserKeyword" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Atoms.hh.html#line79" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Display.html" >Display</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line19" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The Display class provides an annotated view of the ptree,
for debugging purposes</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="PTree/RTTIDisplay.html" >RTTIDisplay</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mRTTIDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line47" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DotFileGenerator.html" >DotFileGenerator</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mDotFileGenerator" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line65" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Encoding.html" >Encoding</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mEncoding" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Encoding.hh.html#line67" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>An Encoding represents a mangled (type) name.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Brace.html" >Brace</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mBrace" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line19" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Block.html" >Block</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mBlock" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line27" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ClassBody.html" >ClassBody</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mClassBody" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line35" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TemplateDecl.html" >TemplateDecl</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mTemplateDecl" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line43" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TemplateInstantiation.html" >TemplateInstantiation</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mTemplateInstantiation" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line51" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ExternTemplate.html" >ExternTemplate</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mExternTemplate" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line58" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/MetaclassDecl.html" >MetaclassDecl</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mMetaclassDecl" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line66" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/LinkageSpec.html" >LinkageSpec</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mLinkageSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line73" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/NamespaceSpec.html" >NamespaceSpec</a></div> <div class="xref"><a href="../../XRef/xref11.html#Synopsis_mPTree_mNamespaceSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line80" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Declaration.html" >Declaration</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDeclaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line92" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Typedef.html" >Typedef</a></div> <div class="xref"><a href="../../XRef/xref14.html#Synopsis_mPTree_mTypedef" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line104" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UsingDirective.html" >UsingDirective</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUsingDirective" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line112" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UsingDeclaration.html" >UsingDeclaration</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUsingDeclaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line119" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/NamespaceAlias.html" >NamespaceAlias</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mNamespaceAlias" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line126" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/FunctionDefinition.html" >FunctionDefinition</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mFunctionDefinition" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line133" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ParameterDeclaration.html" >ParameterDeclaration</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mParameterDeclaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line140" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Declarator.html" >Declarator</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDeclarator" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line148" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Name.html" >Name</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mName" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line174" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/FstyleCastExpr.html" >FstyleCastExpr</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mFstyleCastExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line184" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ClassSpec.html" >ClassSpec</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mClassSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line194" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/EnumSpec.html" >EnumSpec</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mEnumSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line213" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TypeParameter.html" >TypeParameter</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mTypeParameter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line224" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/AccessSpec.html" >AccessSpec</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis_mPTree_mAccessSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line231" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/AccessDecl.html" >AccessDecl</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis_mPTree_mAccessDecl" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line241" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UserAccessSpec.html" >UserAccessSpec</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUserAccessSpec" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line248" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UserdefKeyword.html" >UserdefKeyword</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUserdefKeyword" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line255" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/IfStatement.html" >IfStatement</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mIfStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line270" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/SwitchStatement.html" >SwitchStatement</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mSwitchStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line276" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/WhileStatement.html" >WhileStatement</a></div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mWhileStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line282" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DoStatement.html" >DoStatement</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mDoStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line288" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ForStatement.html" >ForStatement</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mForStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line294" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TryStatement.html" >TryStatement</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mTryStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line300" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/BreakStatement.html" >BreakStatement</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mBreakStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line306" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ContinueStatement.html" >ContinueStatement</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mContinueStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line312" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ReturnStatement.html" >ReturnStatement</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mReturnStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line318" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/GotoStatement.html" >GotoStatement</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mGotoStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line324" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/CaseStatement.html" >CaseStatement</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mCaseStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line330" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DefaultStatement.html" >DefaultStatement</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDefaultStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line336" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/LabelStatement.html" >LabelStatement</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mLabelStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line342" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ExprStatement.html" >ExprStatement</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mExprStatement" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line348" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Expression.html" >Expression</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mExpression" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line354" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/AssignExpr.html" >AssignExpr</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mAssignExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line369" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/CondExpr.html" >CondExpr</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mCondExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line375" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/InfixExpr.html" >InfixExpr</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mInfixExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line381" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/PmExpr.html" >PmExpr</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mPmExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line387" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/CastExpr.html" >CastExpr</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mCastExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line393" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UnaryExpr.html" >UnaryExpr</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUnaryExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line399" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ThrowExpr.html" >ThrowExpr</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mThrowExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line405" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/SizeofExpr.html" >SizeofExpr</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mSizeofExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line411" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/OffsetofExpr.html" >OffsetofExpr</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mOffsetofExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line417" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TypeidExpr.html" >TypeidExpr</a></div> <div class="xref"><a href="../../XRef/xref14.html#Synopsis_mPTree_mTypeidExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line423" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TypeofExpr.html" >TypeofExpr</a></div> <div class="xref"><a href="../../XRef/xref14.html#Synopsis_mPTree_mTypeofExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line429" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/NewExpr.html" >NewExpr</a></div> <div class="xref"><a href="../../XRef/xref11.html#Synopsis_mPTree_mNewExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line435" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DeleteExpr.html" >DeleteExpr</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDeleteExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line441" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ArrayExpr.html" >ArrayExpr</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mArrayExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line447" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/FuncallExpr.html" >FuncallExpr</a></div> <div class="xref"><a href="../../XRef/xref7.html#Synopsis_mPTree_mFuncallExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line453" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/PostfixExpr.html" >PostfixExpr</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mPostfixExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line459" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/UserStatementExpr.html" >UserStatementExpr</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mUserStatementExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line465" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/DotMemberExpr.html" >DotMemberExpr</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mDotMemberExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line471" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ArrowMemberExpr.html" >ArrowMemberExpr</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mArrowMemberExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line477" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/ParenExpr.html" >ParenExpr</a></div> <div class="xref"><a href="../../XRef/xref12.html#Synopsis_mPTree_mParenExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line483" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/StaticUserStatementExpr.html" >StaticUserStatementExpr</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mStaticUserStatementExpr" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Lists.hh.html#line489" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Node.html" >Node</a></div> <div class="xref"><a href="../../XRef/xref11.html#Synopsis_mPTree_mNode" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Node.hh.html#line24" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Iterator.html" >Iterator</a></div> <div class="xref"><a href="../../XRef/xref8.html#Synopsis_mPTree_mIterator" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Node.hh.html#line71" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Array.html" >Array</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis_mPTree_mArray" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Node.hh.html#line89" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Atom.html" >Atom</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis_mPTree_mAtom" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Node.hh.html#line105" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/List.html" >List</a></div> <div class="xref"><a href="../../XRef/xref10.html#Synopsis_mPTree_mList" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Node.hh.html#line114" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/TypeVisitor.html" >TypeVisitor</a></div> <div class="xref"><a href="../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/TypeVisitor.hh.html#line19" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Visitor.html" >Visitor</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Visitor.hh.html#line23" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The Visitor class is used to dynamically resolve
type information about a given Node.</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Writer.html" >Writer</a></div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mWriter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Writer.hh.html#line18" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Function templates Summary:</div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> N&gt;</div> &#160;N* <a class="name" id="nconc_lN_S_cNode_S_r">nconc</a>(N* <span class="variable">p</span>, <a href="PTree/Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mnconc_lN_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line100" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> N&gt;</div> &#160;N* <a class="name" id="snoc_lN_S_cNode_S_r">snoc</a>(N* <span class="variable">p</span>, <a href="PTree/Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msnoc_lN_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line108" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;void <span class="name"><a href="PTree.html#display_lconst.Node_S_cstd_mostream_A_cbool_cbool_r" >display</a></span>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, std::ostream&amp; <span class="variable">os</span>, bool <span class="variable">encoded</span> = <span class="value">false</span>, bool <span class="variable">typeinfo</span> = <span class="value">false</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line82" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Display the given parse tree segment on the given output stream.</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;void <span class="name"><a href="PTree.html#generate_dot_file_lconst.Node_S_cstd_mostream_A_r" >generate_dot_file</a></span>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, std::ostream&amp; <span class="variable">os</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line97" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Generate a dot file for the given parse tree segment.</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="operator_L_lconst.Encoding_A_cconst.Encoding_A_r">operator&lt;</a>(const&#160;<a href="PTree/Encoding.html" >Encoding</a>&amp; <span class="variable">e1</span>, const&#160;<a href="PTree/Encoding.html" >Encoding</a>&amp; <span class="variable">e2</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_L_lconst.Encoding_A_cconst.Encoding_A_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Encoding.hh.html#line205" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;std::ostream&amp; <a class="name" id="operator_L_L_lstd_mostream_A_cconst.Encoding_A_r">operator&lt;&lt;</a>(std::ostream&amp; <span class="variable">os</span>, const&#160;<a href="PTree/Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/Encoding.hh.html#line210" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.Node_A_cchar_r">operator==</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, char <span class="variable">c</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_e_e_lconst.Node_A_cchar_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line17" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="operator_n_e_lconst.Node_A_cchar_r">operator!=</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, char <span class="variable">c</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_n_e_lconst.Node_A_cchar_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line18" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.Node_A_cconst.char_S_r">operator==</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, const&#160;char* <span class="variable">str</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_e_e_lconst.Node_A_cconst.char_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line19" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="operator_n_e_lconst.Node_A_cconst.char_S_r">operator!=</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, const&#160;char* <span class="variable">str</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_n_e_lconst.Node_A_cconst.char_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line20" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.Node_A_cconst.Node_A_r">operator==</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_e_e_lconst.Node_A_cconst.Node_A_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line21" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="operator_n_e_lconst.Node_A_cconst.Node_A_r">operator!=</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_moperator_n_e_lconst.Node_A_cconst.Node_A_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line22" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="equal_lconst.Node_A_cconst.char_S_csize_t_r">equal</a>(const&#160;<a href="PTree/Node.html" >Node</a>&amp; <span class="variable">p</span>, const&#160;char* <span class="variable">str</span>, size_t <span class="variable">len</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mequal_lconst.Node_A_cconst.char_S_csize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line23" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="equal_lconst.Node_S_cconst.Node_S_r">equal</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mequal_lconst.Node_S_cconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line24" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="equiv_lconst.Node_S_cconst.Node_S_r">equiv</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mequiv_lconst.Node_S_cconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line25" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <span class="name"><a href="PTree.html#last_lconst.Node_S_r" >last</a></span>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlast_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <span class="name"><a href="PTree.html#last_lNode_S_r" >last</a></span>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlast_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line30" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="first_lconst.Node_S_r">first</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mfirst_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line31" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="first_lNode_S_r">first</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mfirst_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line32" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="rest_lconst.Node_S_r">rest</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mrest_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line33" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="rest_lNode_S_r">rest</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mrest_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line34" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="nth_lconst.Node_S_csize_t_r">nth</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, size_t <span class="variable">n</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mnth_lconst.Node_S_csize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line35" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="nth_lNode_S_csize_t_r">nth</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, size_t <span class="variable">n</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mnth_lNode_S_csize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line40" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="tail_lconst.Node_S_csize_t_r">tail</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, size_t <span class="variable">k</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mtail_lconst.Node_S_csize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line45" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="tail_lNode_S_csize_t_r">tail</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>, size_t <span class="variable">k</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mtail_lNode_S_csize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line50" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="second_lconst.Node_S_r">second</a>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msecond_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line56" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="second_lNode_S_r">second</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msecond_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line57" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="third_lconst.Node_S_r">third</a>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mthird_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line58" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="third_lNode_S_r">third</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mthird_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line59" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;int <a class="name" id="length_lconst.Node_S_r">length</a>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlength_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line60" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="cadr_lconst.Node_S_r">cadr</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mcadr_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line62" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="cadr_lNode_S_r">cadr</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mcadr_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line63" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="cddr_lconst.Node_S_r">cddr</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mcddr_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line64" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="PTree/Node.html" >Node</a>* <a class="name" id="cddr_lNode_S_r">cddr</a>(<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mcddr_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line65" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <span class="name"><a href="PTree.html#ca_ar_lconst.Node_S_r" >ca_ar</a></span>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mca_ar_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line67" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>compute Caa..ar</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="ca_ar_lNode_S_r">ca_ar</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mca_ar_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line68" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="cons_lNode_S_cNode_S_r">cons</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mcons_lNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line70" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_l_r">list</a>()  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line71" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line72" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line73" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line74" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line75" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line76" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line77" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line79" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/List.html" >List</a>* <a class="name" id="list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">list</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line81" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="copy_lNode_S_r">copy</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mcopy_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line82" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="append_lNode_S_cNode_S_r">append</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mappend_lNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line83" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="replace_all_lNode_S_cNode_S_cNode_S_r">replace_all</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mreplace_all_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line84" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="subst_lNode_S_cNode_S_cNode_S_r">subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line85" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line86" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line88" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="shallow_subst_lNode_S_cNode_S_cNode_S_r">shallow_subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line89" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">shallow_subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line90" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">shallow_subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line92" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r">shallow_subst</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line94" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="subst_sublist_lNode_S_cNode_S_cNode_S_r">subst_sublist</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msubst_sublist_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line95" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="nconc_lNode_S_cNode_S_r">nconc</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mnconc_lNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line98" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="nconc_lNode_S_cNode_S_cNode_S_r">nconc</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mnconc_lNode_S_cNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line99" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="snoc_lNode_S_cNode_S_r">snoc</a>(<a href="PTree/Node.html" >Node</a>*, <a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_msnoc_lNode_S_cNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line107" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span> <a href="Token.html#Type" >Token::Type</a> <a class="name" id="type_of_lconst.Node_S_r">type_of</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mtype_of_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/TypeVisitor.hh.html#line87" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="is_a_lconst.Node_S_cToken_mType_r">is_a</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/TypeVisitor.hh.html#line94" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="is_a_lconst.Node_S_cToken_mType_cToken_mType_r">is_a</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t1</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t2</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/TypeVisitor.hh.html#line102" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;bool <a class="name" id="is_a_lconst.Node_S_cToken_mType_cToken_mType_cToken_mType_r">is_a</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t1</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t2</span>, <a href="Token.html#Type" >Token::Type</a> <span class="variable">t3</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/TypeVisitor.hh.html#line110" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;std::string <a class="name" id="reify_lconst.Node_S_r">reify</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mreify_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Writer.hh.html#line38" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="PTree/Display.html" >Display</a></div> <div class="xref"><a href="../../XRef/xref3.html#Synopsis_mPTree_mDisplay" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line19" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The Display class provides an annotated view of the ptree,
for debugging purposes</p>
</div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Encoding.html" >Encoding</a></div> <div class="xref"><a href="../../XRef/xref4.html#Synopsis_mPTree_mEncoding" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Encoding.hh.html#line67" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>An Encoding represents a mangled (type) name. Here is a quick reference of the grammar:</p>
<ul class="simple">
<li><em>b</em>: boolean</li>
<li><em>c</em>: char</li>
<li><em>w</em>: wchar_t</li>
<li><em>i</em>: int (signed, unsigned)</li>
<li><em>s</em>: short (short int)</li>
<li><em>l</em>: long (long int)</li>
<li><em>j</em>: long long</li>
<li><em>f</em>: float</li>
<li><em>d</em>: double</li>
<li><em>r</em>: long double</li>
<li><em>v</em>: void</li>
<li><em>T</em>: template class (e.g. <em>Foo&lt;int,char&gt;</em> ==&gt; <em>T[3]Foo[2]ic</em>.  <em>[2]</em> means
the length of <em>ic</em>.  It doesn't mean the number of template arguments.</li>
<li><em>e</em>: ...</li>
<li><em>?</em>: no return type.  the return type of constructors</li>
<li><em>*</em>: non-type template parameter</li>
<li><em>S</em>: <em>signed</em></li>
<li><em>U</em>: <em>unsigned</em></li>
<li><em>C</em>: <em>const</em></li>
<li><em>V</em>: <em>volatile</em></li>
<li><em>P</em>: pointer</li>
<li><em>R</em>: reference</li>
<li><em>A</em>: array (e.g. <em>char[16]</em> ==&gt; <em>A16_c</em>)</li>
<li><em>F</em>: function (e.g. <em>char foo(int)</em> ==&gt; <em>Fi_c</em>)</li>
<li><em>M</em>: pointer to member (e.g. <em>Type::*</em> ==&gt; <em>M[4]Type</em>)</li>
<li><em>Q</em>: qualified class (e.g. <em>X::YY</em> ==&gt; <em>Q[2][1]X[2]YY</em>, <em>::YY</em> ==&gt; <em>Q[2][0][2]YY</em>)</li>
<li><em>[x]</em>: means <em>0x80 + x</em></li>
<li><em>0</em>: means <em>::</em> (global scope)</li>
</ul>
<p>Special function names:</p>
<ul class="simple">
<li>operator + ==&gt; +</li>
<li>operator new[] ==&gt; new[]</li>
<li>operator &lt;type&gt; ==&gt; &#64;&lt;encoded type&gt;           cast operator</li>
</ul>
</div></div>
<div class="item"><div class="synopsis">class <a href="PTree/Visitor.html" >Visitor</a></div> <div class="xref"><a href="../../XRef/xref15.html#Synopsis_mPTree_mVisitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/Visitor.hh.html#line23" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>The Visitor class is used to dynamically resolve
type information about a given Node.
The default implementation does nothing, so you
only need to implement the methods you actually need.
Any types for which no corresponding 'visit' methods
exist will be caught by the 'visit' of the closest parent.</p>
</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;void <a class="name" id="display_lconst.Node_S_cstd_mostream_A_cbool_cbool_r">display</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, std::ostream&amp; <span class="variable">os</span>, bool <span class="variable">encoded</span> = <span class="value">false</span>, bool <span class="variable">typeinfo</span> = <span class="value">false</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line82" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Display the given parse tree segment on the given output stream.
If 'encoded' is set to 'true', print encoded names / types
on appropriate nodes. If 'typeinfo' is set to 'true', print
the class names of the nodes.</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">inline</span>&#160;void <a class="name" id="generate_dot_file_lconst.Node_S_cstd_mostream_A_r">generate_dot_file</a>(const&#160;<a href="PTree/Node.html" >Node</a>* <span class="variable">node</span>, std::ostream&amp; <span class="variable">os</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/PTree/Display.hh.html#line97" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Generate a dot file for the given parse tree segment.</p>
</div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="last_lconst.Node_S_r">last</a>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlast_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="last_lNode_S_r">last</a>(<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref18.html#Synopsis_mPTree_mlast_lNode_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line30" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="PTree/Node.html" >Node</a>* <a class="name" id="ca_ar_lconst.Node_S_r">ca_ar</a>(const&#160;<a href="PTree/Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../XRef/xref17.html#Synopsis_mPTree_mca_ar_lconst.Node_S_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/PTree/operations.hh.html#line67" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>compute Caa..ar</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:35 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
